Skip to content
Start here

[DEPRECATED] Update Pipeline

Deprecated
client.Pipelines.Update(ctx, pipelineName, params) (*PipelineUpdateResponse, error)
PUT/accounts/{account_id}/pipelines/{pipeline_name}

[DEPRECATED] Update an existing pipeline. Use the new /pipelines/v1/pipelines endpoint instead.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
ParametersExpand Collapse
pipelineName string

Defines the name of the pipeline.

maxLength128
minLength1
params PipelineUpdateParams
AccountID param.Field[string]

Path param: Specifies the public ID of the account.

Destination param.Field[PipelineUpdateParamsDestination]

Body param

Batch PipelineUpdateParamsDestinationBatch
MaxBytes int64optional

Specifies rough maximum size of files.

maximum100000000
minimum1000
MaxDurationS float64optional

Specifies duration to wait to aggregate batches files.

maximum300
minimum0.25
MaxRows int64optional

Specifies rough maximum number of rows per file.

maximum10000000
minimum100
Compression PipelineUpdateParamsDestinationCompression
Type PipelineUpdateParamsDestinationCompressionTypeoptional

Specifies the desired compression algorithm and format.

One of the following:
const PipelineUpdateParamsDestinationCompressionTypeNone PipelineUpdateParamsDestinationCompressionType = "none"
const PipelineUpdateParamsDestinationCompressionTypeGzip PipelineUpdateParamsDestinationCompressionType = "gzip"
const PipelineUpdateParamsDestinationCompressionTypeDeflate PipelineUpdateParamsDestinationCompressionType = "deflate"
Format PipelineUpdateParamsDestinationFormat

Specifies the format of data to deliver.

Path PipelineUpdateParamsDestinationPath
Bucket string

Specifies the R2 Bucket to store files.

Filename stringoptional

Specifies the name pattern to for individual data files.

Filepath stringoptional

Specifies the name pattern for directory.

Prefix stringoptional

Specifies the base directory within the bucket.

Type PipelineUpdateParamsDestinationType

Specifies the type of destination.

Credentials PipelineUpdateParamsDestinationCredentialsoptional
AccessKeyID string

Specifies the R2 Bucket Access Key Id.

Endpoint string

Specifies the R2 Endpoint.

SecretAccessKey string

Specifies the R2 Bucket Secret Access Key.

Name param.Field[string]

Body param: Defines the name of the pipeline.

maxLength128
minLength1
Source param.Field[[]PipelineUpdateParamsSource]

Body param

type PipelineUpdateParamsSourceCloudflarePipelinesWorkersPipelinesHTTPSource struct{…}

[DEPRECATED] HTTP source configuration. Use the new streams API instead.

Format PipelineUpdateParamsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceFormat

Specifies the format of source data.

Type string
Authentication booloptional

Specifies whether authentication is required to send to this pipeline via HTTP.

CORS PipelineUpdateParamsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceCORSoptional
Origins []stringoptional

Specifies allowed origins to allow Cross Origin HTTP Requests.

type PipelineUpdateParamsSourceCloudflarePipelinesWorkersPipelinesBindingSource struct{…}

[DEPRECATED] Worker binding source configuration. Use the new streams API instead.

Format PipelineUpdateParamsSourceCloudflarePipelinesWorkersPipelinesBindingSourceFormat

Specifies the format of source data.

Type string
ReturnsExpand Collapse
type PipelineUpdateResponse struct{…}

[DEPRECATED] Describes the configuration of a pipeline. Use the new streams/sinks/pipelines API instead.

ID string

Specifies the pipeline identifier.

Destination PipelineUpdateResponseDestination
Batch PipelineUpdateResponseDestinationBatch
MaxBytes int64

Specifies rough maximum size of files.

maximum100000000
minimum1000
MaxDurationS float64

Specifies duration to wait to aggregate batches files.

maximum300
minimum0.25
MaxRows int64

Specifies rough maximum number of rows per file.

maximum10000000
minimum100
Compression PipelineUpdateResponseDestinationCompression
Type PipelineUpdateResponseDestinationCompressionType

Specifies the desired compression algorithm and format.

One of the following:
const PipelineUpdateResponseDestinationCompressionTypeNone PipelineUpdateResponseDestinationCompressionType = "none"
const PipelineUpdateResponseDestinationCompressionTypeGzip PipelineUpdateResponseDestinationCompressionType = "gzip"
const PipelineUpdateResponseDestinationCompressionTypeDeflate PipelineUpdateResponseDestinationCompressionType = "deflate"
Format PipelineUpdateResponseDestinationFormat

Specifies the format of data to deliver.

Path PipelineUpdateResponseDestinationPath
Bucket string

Specifies the R2 Bucket to store files.

Filename stringoptional

Specifies the name pattern to for individual data files.

Filepath stringoptional

Specifies the name pattern for directory.

Prefix stringoptional

Specifies the base directory within the bucket.

Type PipelineUpdateResponseDestinationType

Specifies the type of destination.

Endpoint string

Indicates the endpoint URL to send traffic.

Name string

Defines the name of the pipeline.

maxLength128
minLength1
Source []PipelineUpdateResponseSource
One of the following:
type PipelineUpdateResponseSourceCloudflarePipelinesWorkersPipelinesHTTPSource struct{…}

[DEPRECATED] HTTP source configuration. Use the new streams API instead.

Format PipelineUpdateResponseSourceCloudflarePipelinesWorkersPipelinesHTTPSourceFormat

Specifies the format of source data.

Type string
Authentication booloptional

Specifies whether authentication is required to send to this pipeline via HTTP.

CORS PipelineUpdateResponseSourceCloudflarePipelinesWorkersPipelinesHTTPSourceCORSoptional
Origins []stringoptional

Specifies allowed origins to allow Cross Origin HTTP Requests.

type PipelineUpdateResponseSourceCloudflarePipelinesWorkersPipelinesBindingSource struct{…}

[DEPRECATED] Worker binding source configuration. Use the new streams API instead.

Format PipelineUpdateResponseSourceCloudflarePipelinesWorkersPipelinesBindingSourceFormat

Specifies the format of source data.

Type string
Version float64

Indicates the version number of last saved configuration.

[DEPRECATED] Update Pipeline

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/pipelines"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  pipeline, err := client.Pipelines.Update(
    context.TODO(),
    "sample_pipeline",
    pipelines.PipelineUpdateParams{
      AccountID: cloudflare.F("0123105f4ecef8ad9ca31a8372d0c353"),
      Destination: cloudflare.F(pipelines.PipelineUpdateParamsDestination{
        Batch: cloudflare.F(pipelines.PipelineUpdateParamsDestinationBatch{

        }),
        Compression: cloudflare.F(pipelines.PipelineUpdateParamsDestinationCompression{

        }),
        Format: cloudflare.F(pipelines.PipelineUpdateParamsDestinationFormatJson),
        Path: cloudflare.F(pipelines.PipelineUpdateParamsDestinationPath{
          Bucket: cloudflare.F("bucket"),
        }),
        Type: cloudflare.F(pipelines.PipelineUpdateParamsDestinationTypeR2),
      }),
      Name: cloudflare.F("sample_pipeline"),
      Source: cloudflare.F([]pipelines.PipelineUpdateParamsSourceUnion{pipelines.PipelineUpdateParamsSourceCloudflarePipelinesWorkersPipelinesHTTPSource{
        Format: cloudflare.F(pipelines.PipelineUpdateParamsSourceCloudflarePipelinesWorkersPipelinesHTTPSourceFormatJson),
        Type: cloudflare.F("type"),
      }}),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", pipeline.ID)
}
{
  "result": {
    "id": "123f8a8258064ed892a347f173372359",
    "destination": {
      "batch": {
        "max_bytes": 1000,
        "max_duration_s": 0.25,
        "max_rows": 100
      },
      "compression": {
        "type": "gzip"
      },
      "format": "json",
      "path": {
        "bucket": "bucket",
        "filename": "${slug}${extension}",
        "filepath": "${date}/${hour}",
        "prefix": "base"
      },
      "type": "r2"
    },
    "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com",
    "name": "sample_pipeline",
    "source": [
      {
        "format": "json",
        "type": "type",
        "authentication": true,
        "cors": {
          "origins": [
            "*"
          ]
        }
      }
    ],
    "version": 2
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "123f8a8258064ed892a347f173372359",
    "destination": {
      "batch": {
        "max_bytes": 1000,
        "max_duration_s": 0.25,
        "max_rows": 100
      },
      "compression": {
        "type": "gzip"
      },
      "format": "json",
      "path": {
        "bucket": "bucket",
        "filename": "${slug}${extension}",
        "filepath": "${date}/${hour}",
        "prefix": "base"
      },
      "type": "r2"
    },
    "endpoint": "https://123f8a8258064ed892a347f173372359.pipelines.cloudflare.com",
    "name": "sample_pipeline",
    "source": [
      {
        "format": "json",
        "type": "type",
        "authentication": true,
        "cors": {
          "origins": [
            "*"
          ]
        }
      }
    ],
    "version": 2
  },
  "success": true
}